/**
 * @module utils
 */
/// <reference types="node" />
import fs from 'fs';
import { Node } from 'estree';
export declare const rm: typeof fs.rm.__promisify__;
export declare const writeFile: typeof fs.writeFile.__promisify__;
export declare type Styles = [key: string, value: string][];
export declare function removeFile(path: string): Promise<void>;
export declare function isString(value: unknown): value is string;
export declare function collect(styles: Styles, left: Node, right: Node): void;
export declare function parseStyles(content: string): [styles: Styles, named: boolean];
export declare function generateTypings(content: string, banner?: string, eol?: string): string | null;
